
---
kind: Service
apiVersion: v1
metadata:
  name: whoami
spec:
  selector:
    app: whoami
  clusterIP: None
  ports:
  - port: 1234
    name: whoami-svc-port

---
kind: StatefulSet
apiVersion: apps/v1
metadata:
  name: whoami
spec:
  selector:
    matchLabels:
      app: whoami
  serviceName: whoami
  replicas: 3
  template:
    metadata:
      labels:
        app: whoami
    spec:
      containers:
      - name: whoami-container
        image: aemc/whoami
        ports:
        - containerPort: 80
          name: whoami-port
        volumeMounts:
        - name: vol01
          mountPath: /mnt/vol01
  volumeClaimTemplates:
  - metadata:
      name: vol01
    spec:
      accessModes: [ "ReadWriteOnce" ]
      storageClassName: do-block-storage
      resources:
        requests:
          storage: 1Gi
